org.activiti.engine.delegate

## Interface DelegateTask

- All Superinterfaces:
    VariableScope

      public interface DelegateTask
      extends VariableScope

  Author:
    Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCandidateGroup(String groupId)` Adds the given group as candidate group to this task
    `void` | `addCandidateGroups(Collection<String> candidateGroups)` Adds multiple groups as candidate group to this task.
    `void` | `addCandidateUser(String userId)` Adds the given user as a candidate user to this task.
    `void` | `addCandidateUsers(Collection<String> candidateUsers)` Adds multiple users as candidate user to this task.
    `void` | `addGroupIdentityLink(String groupId, String identityLinkType)` Involves a group with group task.
    `void` | `addUserIdentityLink(String userId, String identityLinkType)` Involves a user with a task.
    `void` | `deleteCandidateGroup(String groupId)` Convenience shorthand for `#deleteGroupIdentityLink(String, String, String)`; with type `IdentityLinkType.CANDIDATE`
    `void` | `deleteCandidateUser(String userId)` Convenience shorthand for `deleteUserIdentityLink(String, String)`; with type `IdentityLinkType.CANDIDATE`
    `void` | `deleteGroupIdentityLink(String groupId, String identityLinkType)` Removes the association between a group and a task for the given identityLinkType.
    `void` | `deleteUserIdentityLink(String userId, String identityLinkType)` Removes the association between a user and a task for the given identityLinkType.
    `String` | `getAssignee()` The `userId` of the person to which this task is delegated.
    `Set<IdentityLink>` | `getCandidates()` Retrieves the candidate users and groups associated with the task.
    `String` | `getCategory()` The category of the task.
    `Date` | `getCreateTime()` The date/time when this task was created
    `DelegationState` | `getDelegationState()` The current `DelegationState` for this task.
    `String` | `getDescription()` Free text description of the task.
    `Date` | `getDueDate()` Due date of the task.
    `String` | `getEventName()` Returns the event name which triggered the task listener to fire for this task.
    `DelegateExecution` | `getExecution()` Returns the execution currently at the task.
    `String` | `getExecutionId()` Reference to the path of execution or null if it is not related to a process instance.
    `String` | `getFormKey()` The form key for the user task
    `String` | `getId()` DB id of the task.
    `String` | `getName()` Name or title of the task.
    `String` | `getOwner()` The `userId` of the person responsible for this task.
    `int` | `getPriority()` indication of how important/urgent this task is with a number between 0 and 100 where higher values mean a higher priority and lower values mean lower priority: [0..19] lowest, [20..39] low, [40..59] normal, [60..79] high [80..100] highest
    `String` | `getProcessDefinitionId()` Reference to the process definition or null if it is not related to a process.
    `String` | `getProcessInstanceId()` Reference to the process instance or null if it is not related to a process instance.
    `String` | `getTaskDefinitionKey()` The id of the activity in the process defining this task or null if this is not related to a process
    `String` | `getTenantId()` The tenant identifier of this task
    `boolean` | `isSuspended()` Indicated whether this task is suspended or not.
    `void` | `setAssignee(String assignee)` The `userId` of the person to which this task is delegated.
    `void` | `setCategory(String category)` Change the category of the task.
    `void` | `setDescription(String description)` Change the description of the task
    `void` | `setDueDate(Date dueDate)` Change due date of the task.
    `void` | `setFormKey(String formKey)` Change the form key of the task
    `void` | `setName(String name)` Change the name of the task.
    `void` | `setOwner(String owner)` The `userId` of the person responsible for this task.
    `void` | `setPriority(int priority)` indication of how important/urgent this task is with a number between 0 and 100 where higher values mean a higher priority and lower values mean lower priority: [0..19] lowest, [20..39] low, [40..59] normal, [60..79] high [80..100] highest

    - ### Methods inherited from interface org.activiti.engine.delegate.VariableScope

      `createVariableLocal, getVariable, getVariable, getVariable, getVariableInstance, getVariableInstance, getVariableInstanceLocal, getVariableInstanceLocal, getVariableInstances, getVariableInstances, getVariableInstances, getVariableInstancesLocal, getVariableInstancesLocal, getVariableInstancesLocal, getVariableLocal, getVariableLocal, getVariableLocal, getVariableNames, getVariableNamesLocal, getVariables, getVariables, getVariables, getVariablesLocal, getVariablesLocal, getVariablesLocal, hasVariable, hasVariableLocal, hasVariables, hasVariablesLocal, removeVariable, removeVariableLocal, removeVariables, removeVariables, removeVariablesLocal, removeVariablesLocal, setVariable, setVariable, setVariableLocal, setVariableLocal, setVariables, setVariablesLocal`

- - ### Method Detail

    - #### getId

          String getId()

      DB id of the task.

    - #### getName

          String getName()

      Name or title of the task.

    - #### setName

          void setName(String name)

      Change the name of the task.

    - #### getDescription

          String getDescription()

      Free text description of the task.

    - #### setDescription

          void setDescription(String description)

      Change the description of the task

    - #### getPriority

          int getPriority()

      indication of how important/urgent this task is with a number between 0 and 100 where higher values mean a higher priority and lower values mean lower priority: [0..19] lowest, [20..39] low, [40..59] normal, [60..79] high [80..100] highest

    - #### setPriority

          void setPriority(int priority)

      indication of how important/urgent this task is with a number between 0 and 100 where higher values mean a higher priority and lower values mean lower priority: [0..19] lowest, [20..39] low, [40..59] normal, [60..79] high [80..100] highest

    - #### getProcessInstanceId

          String getProcessInstanceId()

      Reference to the process instance or null if it is not related to a process instance.

    - #### getExecutionId

          String getExecutionId()

      Reference to the path of execution or null if it is not related to a process instance.

    - #### getProcessDefinitionId

          String getProcessDefinitionId()

      Reference to the process definition or null if it is not related to a process.

    - #### getCreateTime

          Date getCreateTime()

      The date/time when this task was created

    - #### getTaskDefinitionKey

          String getTaskDefinitionKey()

      The id of the activity in the process defining this task or null if this is not related to a process

    - #### isSuspended

          boolean isSuspended()

      Indicated whether this task is suspended or not.

    - #### getTenantId

          String getTenantId()

      The tenant identifier of this task

    - #### getFormKey

          String getFormKey()

      The form key for the user task

    - #### setFormKey

          void setFormKey(String formKey)

      Change the form key of the task

    - #### getExecution

          DelegateExecution getExecution()

      Returns the execution currently at the task.

    - #### getEventName

          String getEventName()

      Returns the event name which triggered the task listener to fire for this task.

    - #### getDelegationState

          DelegationState getDelegationState()

      The current `DelegationState` for this task.

    - #### addCandidateUser

          void addCandidateUser(String userId)

      Adds the given user as a candidate user to this task.

    - #### addCandidateUsers

          void addCandidateUsers(Collection<String> candidateUsers)

      Adds multiple users as candidate user to this task.

    - #### addCandidateGroup

          void addCandidateGroup(String groupId)

      Adds the given group as candidate group to this task

    - #### addCandidateGroups

          void addCandidateGroups(Collection<String> candidateGroups)

      Adds multiple groups as candidate group to this task.

    - #### getOwner

          String getOwner()

      The `userId` of the person responsible for this task.

    - #### setOwner

          void setOwner(String owner)

      The `userId` of the person responsible for this task.

    - #### getAssignee

          String getAssignee()

      The `userId` of the person to which this task is delegated.

    - #### setAssignee

          void setAssignee(String assignee)

      The `userId` of the person to which this task is delegated.

    - #### getDueDate

          Date getDueDate()

      Due date of the task.

    - #### setDueDate

          void setDueDate(Date dueDate)

      Change due date of the task.

    - #### getCategory

          String getCategory()

      The category of the task. This is an optional field and allows to 'tag' tasks as belonging to a certain category.

    - #### setCategory

          void setCategory(String category)

      Change the category of the task. This is an optional field and allows to 'tag' tasks as belonging to a certain category.

    - #### addUserIdentityLink

          void addUserIdentityLink(String userId,
                                   String identityLinkType)

      Involves a user with a task. The type of identity link is defined by the given identityLinkType.
      Parameters:
        `userId` - id of the user involve, cannot be null.
        `identityLinkType` - type of identityLink, cannot be null (@see `IdentityLinkType`).
      Throws:
        `ActivitiObjectNotFoundException` - when the task or user doesn't exist.

    - #### addGroupIdentityLink

          void addGroupIdentityLink(String groupId,
                                    String identityLinkType)

      Involves a group with group task. The type of identityLink is defined by the given identityLink.
      Parameters:
        `groupId` - id of the group to involve, cannot be null.
        `identityLinkType` - type of identity, cannot be null (@see `IdentityLinkType`).
      Throws:
        `ActivitiObjectNotFoundException` - when the task or group doesn't exist.

    - #### deleteCandidateUser

          void deleteCandidateUser(String userId)

      Convenience shorthand for `deleteUserIdentityLink(String, String)`; with type `IdentityLinkType.CANDIDATE`
      Parameters:
        `userId` - id of the user to use as candidate, cannot be null.
      Throws:
        `ActivitiObjectNotFoundException` - when the task or user doesn't exist.

    - #### deleteCandidateGroup

          void deleteCandidateGroup(String groupId)

      Convenience shorthand for `#deleteGroupIdentityLink(String, String, String)`; with type `IdentityLinkType.CANDIDATE`
      Parameters:
        `groupId` - id of the group to use as candidate, cannot be null.
      Throws:
        `ActivitiObjectNotFoundException` - when the task or group doesn't exist.

    - #### deleteUserIdentityLink

          void deleteUserIdentityLink(String userId,
                                      String identityLinkType)

      Removes the association between a user and a task for the given identityLinkType.
      Parameters:
        `userId` - id of the user involve, cannot be null.
        `identityLinkType` - type of identityLink, cannot be null (@see `IdentityLinkType`).
      Throws:
        `ActivitiObjectNotFoundException` - when the task or user doesn't exist.

    - #### deleteGroupIdentityLink

          void deleteGroupIdentityLink(String groupId,
                                       String identityLinkType)

      Removes the association between a group and a task for the given identityLinkType.
      Parameters:
        `groupId` - id of the group to involve, cannot be null.
        `identityLinkType` - type of identity, cannot be null (@see `IdentityLinkType`).
      Throws:
        `ActivitiObjectNotFoundException` - when the task or group doesn't exist.

    - #### getCandidates

          Set<IdentityLink> getCandidates()

      Retrieves the candidate users and groups associated with the task.
      Returns:
        set of `IdentityLink`s of type `IdentityLinkType.CANDIDATE`.

Copyright © 2016 Alfresco. All rights reserved.